Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81468 - segmentation fault during make of gnuplot
Summary: segmentation fault during make of gnuplot
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc
Version: 8.0
Hardware: i586
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-09 19:31 UTC by John Wooten
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-03 11:26:55 UTC


Attachments (Terms of Use)

Description John Wooten 2003-01-09 19:31:12 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020830

Description of problem:
[root@Wonderland gnuplot-3.7.2]# make
gcc -DHAVE_CONFIG_H -I. -I. -I/usr/X11R6/include -g -O2 -c alloc.c
gcc -DHAVE_CONFIG_H -I. -I. -I/usr/X11R6/include -g -O2 -c binary.c
gcc -DHAVE_CONFIG_H -I. -I. -I/usr/X11R6/include -g -O2 -c bitmap.c
gcc -DHAVE_CONFIG_H -I. -I. -I/usr/X11R6/include -g -O2
-DHELPFILE=\"/usr/local/share/gnuplot.gih\" -c command.c
gcc -DHAVE_CONFIG_H -I. -I. -I/usr/X11R6/include -g -O2 -c contour.c
gcc -DHAVE_CONFIG_H -I. -I. -I/usr/X11R6/include -g -O2 -c datafile.c
gcc -DHAVE_CONFIG_H -I. -I. -I/usr/X11R6/include -g -O2 -c eval.c
gcc -DHAVE_CONFIG_H -I. -I. -I/usr/X11R6/include -g -O2 -c fit.c
gcc -DHAVE_CONFIG_H -I. -I. -I/usr/X11R6/include -g -O2 -c graphics.c
graphics.c: In function `edge_intersect_steps':
graphics.c:3183: internal error: Segmentation fault
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
make: *** [graphics.o] Error 1


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.unzip gnuplot into /tmp
2.cd to top level directory in gnuplot
3.type ./configure
4.type make
    

Actual Results:  Got error printout above

Expected Results:  Sucessful make

Additional info:

Comment 1 Bill Nottingham 2003-01-09 20:37:27 UTC
Does it error out at the same file every time?

Comment 2 John Wooten 2003-01-20 18:18:56 UTC
Yes.  It is completely repeatable.

Comment 3 Richard Henderson 2004-10-03 11:26:55 UTC
No ICE with gcc 3.2.3-20.


Note You need to log in before you can comment on or make changes to this bug.